Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Artem Bilan
    @artembilan
    that's fully not correct
    Elena Felder
    @elefeint
    so Ilford should be moving to 2.3.x?
    Artem Bilan
    @artembilan
    Ilford will move to SB-2.3 ASAP
    Elena Felder
    @elefeint
    excellent! Happy to be wrong on that
    Artem Bilan
    @artembilan
    and will switch to SB-2.4 when that is going to be available somewhere in May
    Mike Eltsufin
    @meltsufin
    Are Hoxton SRs all going to stay on SB-2.2, or will they at some point move to SB-2.3?
    Artem Bilan
    @artembilan
    No. That's not how our support policy works
    We don't upgrade to minor releases in the point releases
    That's kinda very high possibility of braking changes and byte-code incompatiblity
    Like we faced yesterday with SI-5.3 and SCSt-Horsham
    Mike Eltsufin
    @meltsufin
    So, there will never be a version of Spring Cloud based on SB-2.3?
    I thought that SB-2.3 is more of a minor release. So, things might be different.
    Unreleated: The first link on our "Learn" tab is broken:
    https://cloud.spring.io/spring-cloud-gcp/1.2.x/reference/html/
    Artem Bilan
    @artembilan
    there is no 1.2.x dir in the gh-pages branch: https://github.com/spring-cloud/spring-cloud-gcp/tree/gh-pages
    Mike Eltsufin
    @meltsufin
    what's the process for creating it? I don't recall how w did the 1.1.x
    Artem Bilan
    @artembilan
    I don't know. Let's ask @marcingrzejszczak ! :smile:
    Mike Eltsufin
    @meltsufin
    sg :D
    Marcin Grzejszczak
    @marcingrzejszczak
    Hmm
    What's the latest version?
    1.3
    Artem Bilan
    @artembilan
    Right. That's the master
    There is already 1.2.x branch, but the point is to have docs for that branch as well
    Thank you!
    (I'm adding 1.3.x to the project page right now though)
    Mike Eltsufin
    @meltsufin
    I think we can ignore 1.3.x for now
    we really just need 1.2.x
    Artem Bilan
    @artembilan
    Ah. OK! :smni
    :smile:
    Mike Eltsufin
    @meltsufin
    1.3.x is on Ilford, which will become 2.0
    Marcin Grzejszczak
    @marcingrzejszczak
    I know why
    There's no job to do that
    Marcin Grzejszczak
    @marcingrzejszczak
    Try again in 5 minutes (I've ran the new build)
    Mike Eltsufin
    @meltsufin
    Thanks Marcin!!
    Artem Bilan
    @artembilan
    Nice! Never understood Spring Cloud Contract
    Mike Eltsufin
    @meltsufin
    it's working already!
    Artem Bilan
    @artembilan
    But I got it: I just don't understand everything Marcin does
    it's kinda magic! :wink:
    Thank you very much for the help!
    Marcin Grzejszczak
    @marcingrzejszczak
    No problem. We need to know that to build, we don't scan branches etc. so you need to provide it explicitly
    Mike Eltsufin
    @meltsufin
    Makes sense.
    Spencer Gibb
    @spencergibb

    @artembilan @elefeint

    No. That's not how our support policy works

    Actually we plan on supporting 2.3.x in Hoxton

    Artem Bilan
    @artembilan
    Hm. No, SB-2.3 is going to be based on major Spring Data
    And we saw yesterday some binary incompatibility between Spring Integration 5.3 and current Spring Cloud Stream
    I don't know how many issues we may face when we pull minor SB release in point SC release
    @spencergibb :arrow_double_up:
    Mike Eltsufin
    @meltsufin
    @spencergibb So, one of the Hoxton SRs will switch to SB-2.3?
    Spencer Gibb
    @spencergibb
    @meltsufin we hope to support 2.2 and 2.3 concurrently
    Mike Eltsufin
    @meltsufin
    I see, but which version will spring-cloud-build import?
    currently it's 2.2